package com.example.smartlab11.Screens

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.res.imageResource
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.smartlab11.R


@Composable
fun Onboard1(navController: NavHostController) {

    Column(modifier = Modifier
        .fillMaxSize()
        .background(color = Color.White)) {
        Row(
            modifier = Modifier.padding(top = 25.dp, start = 20.dp)
                .clickable { navController.navigate("LogScreen")
                {
                    popUpTo("OnboardOne")
                    {
                        inclusive = true
                    }
                }
                },
        )
        {
            Text ("Пропустить", fontSize = 24.sp, color = Color(0xFF57A9FF))
        }
    }
    Row(modifier = Modifier.fillMaxSize(), horizontalArrangement = Arrangement.End){
        Image(bitmap = ImageBitmap.imageResource(R.drawable.img_7),
            contentDescription = "",
            modifier = Modifier
                .height(163.dp)
                .width(167.dp))
    }
    Column (modifier = Modifier.fillMaxSize(),horizontalAlignment = Alignment.CenterHorizontally, verticalArrangement = Arrangement.Center) {

        Text ("Анализы", fontSize = 26.sp, color = Color(0xFF00B712))
        Text("", fontSize = 20.sp, color = Color(0xFFFFFFFF))
        Text ("Экспресс сбор и получение проб", fontSize = 22.sp, color = Color(0xFF939396))
        Text("", fontSize = 10.sp, color = Color(0xFFFFFFFF))
        Image(bitmap = ImageBitmap.imageResource(R.drawable.img_4),
            contentDescription = "",
            modifier = Modifier
                .height(60.dp)
                .width(60.dp))
    }
    Column(modifier = Modifier.fillMaxSize(), verticalArrangement = Arrangement.Bottom, horizontalAlignment = Alignment.CenterHorizontally) {
        Image(bitmap = ImageBitmap.imageResource(R.drawable.img_1),
            contentDescription = "",
            modifier = Modifier
                .height(250.dp)
                .width(246.dp)
                .padding(0.dp, 0.dp, 0.dp, 70.dp))
    }
}