package com.example.smartlab11.Screens

import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.material3.Text
import androidx.compose.material3.TextButton
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.res.imageResource
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.smartlab11.R


@Composable
fun Onboard3(navController: NavHostController) {
    Column {
        TextButton(onClick = { navController.navigate("LogScreen")
        {
            popUpTo("OnboardThree")
            {
                inclusive = true
            } }}) {
            Text ("Завершить", fontSize = 24.sp, color = Color(0xFF57A9FF))
        }
    }
    Row(modifier = Modifier.fillMaxSize(), horizontalArrangement = Arrangement.End){
        Image(bitmap = ImageBitmap.imageResource(R.drawable.img_7),
            contentDescription = "",
            modifier = Modifier
                .height(163.dp)
                .width(167.dp))
    }
    Column (modifier = Modifier.fillMaxSize(),horizontalAlignment = Alignment.CenterHorizontally, verticalArrangement = Arrangement.Center) {

        Text ("Мониторинг", fontSize = 26.sp, color = Color(0xFF00B712))
        Text("", fontSize = 20.sp, color = Color(0xFFFFFFFF))
        Text ("Наши врачи всегда наблюдают", fontSize = 18.sp, color = Color(0xFF939396))
        Text("за вашими показателями здоровья", fontSize = 18.sp, color = Color(0xFF939396))
        Text("", fontSize = 10.sp, color = Color(0xFFFFFFFF))
        Image(bitmap = ImageBitmap.imageResource(R.drawable.img_6),
            contentDescription = "",
            modifier = Modifier
                .height(60.dp)
                .width(60.dp))
    }
    Column(modifier = Modifier.fillMaxSize(), verticalArrangement = Arrangement.Bottom, horizontalAlignment = Alignment.CenterHorizontally) {
        Image(bitmap = ImageBitmap.imageResource(R.drawable.img_3),
            contentDescription = "",
            modifier = Modifier
                .height(269.dp)
                .width(359.dp)
                .padding(0.dp, 0.dp, 0.dp, 40.dp))
    }
}